uniform vec4 color;
uniform vec4 fog_color;
uniform float fog_begin;
uniform float fog_end;
uniform sampler2D texture0;
uniform float far;

varying vec2 texcoord0;

void main(void)
{
    vec4 col = texture2D(texture0, texcoord0);

    float fogbeg = fog_begin / far;
    float fogend = fog_end / far;
    float fogfactor = clamp(col.a - fogbeg, 0.0, fogend) / fogend;
    gl_FragColor = mix(col, vec4(fog_color.rgb, col.a), fogfactor);
}
