uniform mat4 projection;
uniform mat4 modelview;
uniform float far;
uniform float fog_begin;
uniform float fog_end;
uniform vec4 fog_color;

attribute vec4 vertexArray;
attribute vec2 texcoord0Array;
attribute vec2 texcoord1Array;

varying vec2 texcoord0;
varying vec2 texcoord1;
varying float depth;

void main(void)
{
    vec4 pos = modelview * vertexArray;
    texcoord0 = texcoord0Array;
    texcoord1 = texcoord1Array;

    depth = length(pos.xyz) / far;
    gl_Position = projection * pos;
}
