uniform sampler2D texture0;
uniform sampler2D texture1;
uniform vec4 fog_color;

varying vec2 texcoord0;
varying vec2 texcoord1;
varying float depth;

void main(void)
{
    vec4 col = texture2D(texture0, texcoord0) *
               texture2D(texture1, texcoord1);
    if (col.a < 0.1) discard;
    
    gl_FragColor = mix(col, fog_color, depth);
}

