uniform mat4 projection;
uniform mat4 modelview;
uniform vec3 viewer;
uniform float fog_begin;
uniform float fog_end;

attribute vec4 vertexArray;
attribute vec2 texcoord0Array;

varying vec2 texcoord0;
varying float depth;

void main(void)
{
    vec4 pos = modelview * vertexArray;
    texcoord0 = texcoord0Array;

    depth = clamp(length(pos.xyz) - fog_begin, 0.0, fog_end) / fog_end;
    
    gl_Position = projection * pos;
}
