uniform vec4 color;
uniform sampler2D texture0;
uniform sampler2D texture1;
uniform vec2 autofocus;
uniform float far;

varying vec2 texcoord0;

void main(void)
{
    vec4 clean = texture2D(texture0, texcoord0);
    vec4 blurred = texture2D(texture1, texcoord0);

    float focus = texture2D(texture0, autofocus).a;
    float range = mix(far*0.1, far*0.5, focus * focus * far);
    float blur = min(abs(clean.a-focus)/(range/far), 1.0);

    gl_FragColor = vec4(mix(clean.rgb, blurred.rgb, blur), 1.0);
}
