uniform sampler2D texture1;
uniform sampler2D texture2;
uniform vec2 texture_size;
uniform vec4 fog_color;
varying vec3 texcoord1;
varying vec2 texcoord2;
varying float depth;
varying float depthm;

void main(void)
{
    vec2    t1 = ((texcoord1.xy/texcoord1.z)*0.5+vec2(.5,.5)) * texture_size;
    
    float   waterdepth  = min((texture2D(texture1, t1).a-depth)*depthm, 1.0);
    vec2    turbulence  = t1 + (texture2D(texture2, texcoord2).xy - vec2(0.5, 0.5)) * (waterdepth*0.3);
    vec3    col         =  texture2D(texture1, turbulence).rgb * 0.7;

    gl_FragColor = vec4(mix(col, fog_color.rgb*0.7, waterdepth), depth);
}
