uniform mat4 projection;
uniform mat4 modelview;
uniform float far;
uniform float timer;

attribute vec4 vertexArray;
attribute vec2 texcoord0Array;

varying vec3 texcoord1;
varying vec2 texcoord2;
varying float depth;
varying float depthm;

void main(void)
{
    vec4 mvp = modelview * vertexArray;
    vec4 pos = projection * mvp;

    texcoord1 = pos.xyw;
    texcoord2 = (vertexArray.xz+vec2(timer, timer)*0.2)*0.1;
    
    depth  = length(mvp.xyz) / far;
    depthm = far / 20.0;
    
    gl_Position = pos;
}
