uniform sampler2D texture0;
uniform sampler2D texture1;
uniform sampler2D texture2;
uniform vec4 fog_color;

varying vec2 texcoord0;
varying vec2 texcoord1;
varying vec2 texcoord2;
varying float depth;

void main(void)
{
    float shade  = (texture2D(texture2, texcoord2).x - 0.5) * 0.3;
    vec3 col     = texture2D(texture0, texcoord0).rgb * 0.7 + shade;

    gl_FragColor = mix(vec4(col * texture2D(texture1, texcoord1).rgb, 0.75), vec4(fog_color.rgb, 0.75), depth);
}
