uniform mat4 projection;
uniform mat4 modelview;
uniform float fog_begin;
uniform float fog_end;
uniform float timer;

attribute vec4 vertexArray;
attribute vec2 texcoord0Array;
attribute vec2 texcoord1Array;

varying vec2 texcoord0;
varying vec2 texcoord1;
varying vec2 texcoord2;
varying float depth;

void main(void)
{
    vec4 mvp = modelview * vertexArray;
    vec4 pos = projection * mvp;

    texcoord0 = texcoord0Array;
    texcoord1 = texcoord1Array;
    texcoord2 = (vertexArray.xz+vec2(timer, timer)*0.2)*0.1;
    
    depth = clamp(length(pos.xyz) - fog_begin, 0.0, fog_end) / fog_end;
    
    gl_Position = pos;
}
